Package com.google.gwt.aria.client

## Interface GridcellRole

- All Superinterfaces:
    `Role`, `SectionRole`, `StructureRole`, `WidgetRole`
  All Known Subinterfaces:
    `ColumnheaderRole`, `RowheaderRole`
  All Known Implementing Classes:
    `ColumnheaderRoleImpl`, `GridcellRoleImpl`, `RowheaderRoleImpl`

      public interface GridcellRole
      extends SectionRole, WidgetRole

  A type that represents the gridcell role in the ARIA specification.
  See Also:
    `Role`, `Roles`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAriaReadonlyProperty​(Element element)` | Returns the value of the aria-readonly attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaRequiredProperty​(Element element)` | Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaSelectedState​(Element element)` | Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.
    `void` | `removeAriaReadonlyProperty​(Element element)` | Removes the aria-readonly attribute from the `element`.
    `void` | `removeAriaRequiredProperty​(Element element)` | Removes the aria-required attribute from the `element`.
    `void` | `removeAriaSelectedState​(Element element)` | Removes the aria-selected attribute from the `element`.
    `void` | `setAriaReadonlyProperty​(Element element, boolean value)` | Sets the aria-readonly attribute for the `element` to the given `value`.
    `void` | `setAriaRequiredProperty​(Element element, boolean value)` | Sets the aria-required attribute for the `element` to the given `value`.
    `void` | `setAriaSelectedState​(Element element, SelectedValue value)` | Sets the aria-selected attribute for the `element` to the given `value`.

    - ### Methods inherited from interface com.google.gwt.aria.client.Role

      `getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

    - ### Methods inherited from interface com.google.gwt.aria.client.SectionRole

      `getAriaExpandedState, removeAriaExpandedState, setAriaExpandedState`

- - ### Method Detail

    - #### getAriaReadonlyProperty

          java.lang.String getAriaReadonlyProperty​(Element element)

      Returns the value of the aria-readonly attribute for the `element` or "" if no such attribute is present.

    - #### getAriaRequiredProperty

          java.lang.String getAriaRequiredProperty​(Element element)

      Returns the value of the aria-required attribute for the `element` or "" if no such attribute is present.

    - #### getAriaSelectedState

          java.lang.String getAriaSelectedState​(Element element)

      Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.

    - #### removeAriaReadonlyProperty

          void removeAriaReadonlyProperty​(Element element)

      Removes the aria-readonly attribute from the `element`.

    - #### removeAriaRequiredProperty

          void removeAriaRequiredProperty​(Element element)

      Removes the aria-required attribute from the `element`.

    - #### removeAriaSelectedState

          void removeAriaSelectedState​(Element element)

      Removes the aria-selected attribute from the `element`.

    - #### setAriaReadonlyProperty

          void setAriaReadonlyProperty​(Element element,
                                       boolean value)

      Sets the aria-readonly attribute for the `element` to the given `value`.

    - #### setAriaRequiredProperty

          void setAriaRequiredProperty​(Element element,
                                       boolean value)

      Sets the aria-required attribute for the `element` to the given `value`.

    - #### setAriaSelectedState

          void setAriaSelectedState​(Element element,
                                    SelectedValue value)

      Sets the aria-selected attribute for the `element` to the given `value`.